/*
    parse.h - Part of psiconv, a PSION 5 file formats converter
    Copyright (c) 1999  Frodo Looijaard <frodol@dds.nl>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* Declarations only needed for the parser */

#ifndef PSICONV_PARSE_H
#define PSICONV_PARSE_H

#include "data.h"
typedef psiconv_list psiconv_buffer; /* of u8 */

extern psiconv_file_type_t psiconv_file_type(psiconv_buffer buf);
extern int psiconv_parse(const psiconv_buffer buf,psiconv_file *result);

extern int psiconv_verbosity;

#define PSICONV_VERB_DEBUG 4
#define PSICONV_VERB_PROGRESS 3
#define PSICONV_VERB_WARN 2
#define PSICONV_VERB_SILENT 1

#endif /* def PSICONV_PARSE_H */
